# FirmhouseConfig

Configuration for firmhouse client

## Type parameters

• **T** extends [`Access`](/sdks/firmhouse-sdk/reference/enumerations/access.md)

Access type

## Properties

| Property      | Modifier   | Type     | Description                                                                                                                                                                                                                                                                     |
| ------------- | ---------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `accessType?` | `readonly` | `T`      | <p>Access type for the apiToken<br><br><strong>Remarks</strong><br>If the accessType is <code>storefront</code>, then the client will not have access to write operations such as projects, subscriptions, invoices etc.<br>Default value is <code>Access.storefront</code></p> |
| `apiToken`    | `readonly` | `string` | <p>Firmhouse api token<br><br><strong>Remarks</strong><br>This token can be obtained from Firmhouse portal > Integrations</p>                                                                                                                                                   |
| `baseUrl?`    | `readonly` | `string` | <p>Base url for the Firmhouse api<br><br><strong>Remarks</strong><br>Default value is <code><https://portal.firmhouse.com/graphql></code></p>                                                                                                                                   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/sdks/firmhouse-sdk/reference/interfaces/firmhouse-config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
